Index: /branches/UKMO/dev_r5518_sea_ice_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90
===================================================================
--- /branches/UKMO/dev_r5518_sea_ice_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 8346)
+++ /branches/UKMO/dev_r5518_sea_ice_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 8347)
@@ -111,4 +111,5 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  a_i
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  ht_i, ht_s
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::  fmdice
 #endif
 
@@ -167,4 +168,5 @@
 #if defined key_cice || defined key_lim2
       IF( ln_cpl )   ALLOCATE( ht_i(jpi,jpj,jpl) , ht_s(jpi,jpj,jpl) , STAT=ierr(5) )
+      IF( ln_cpl )   ALLOCATE( fmdice(jpi,jpj) , STAT=ierr(5) ) 
 #endif
 
Index: /branches/UKMO/dev_r5518_sea_ice_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- /branches/UKMO/dev_r5518_sea_ice_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 8346)
+++ /branches/UKMO/dev_r5518_sea_ice_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 8347)
@@ -135,5 +135,6 @@
    INTEGER, PARAMETER ::   jps_e3t1st = 27            ! first level depth (vvl)
    INTEGER, PARAMETER ::   jps_fraqsr = 28            ! fraction of solar net radiation absorbed in the first ocean level
-   INTEGER, PARAMETER ::   jpsnd      = 28            ! total number of fields sended
+   INTEGER, PARAMETER ::   jps_fmdice = 29            ! ice formdrag
+   INTEGER, PARAMETER ::   jpsnd      = 29            ! total number of fields sent
 
    !                                                         !!** namelist namsbc_cpl **
@@ -146,5 +147,5 @@
    END TYPE FLD_C
    ! Send to the atmosphere                           !
-   TYPE(FLD_C) ::   sn_snd_temp, sn_snd_alb, sn_snd_thick, sn_snd_crt, sn_snd_co2                        
+   TYPE(FLD_C) ::   sn_snd_temp, sn_snd_alb, sn_snd_thick, sn_snd_crt, sn_snd_co2, sn_snd_fmd                        
    ! Received from the atmosphere                     !
    TYPE(FLD_C) ::   sn_rcv_w10m, sn_rcv_taumod, sn_rcv_tau, sn_rcv_dqnsdt, sn_rcv_qsr, sn_rcv_qns, sn_rcv_emp, sn_rcv_rnf
@@ -217,4 +218,5 @@
       !!
       NAMELIST/namsbc_cpl/  sn_snd_temp, sn_snd_alb   , sn_snd_thick, sn_snd_crt   , sn_snd_co2,      &
+         &                  sn_snd_fmd,                                                               &
          &                  sn_rcv_w10m, sn_rcv_taumod, sn_rcv_tau  , sn_rcv_dqnsdt, sn_rcv_qsr,      &
          &                  sn_rcv_qns , sn_rcv_emp   , sn_rcv_rnf  , sn_rcv_cal   , sn_rcv_iceflx,   &
@@ -269,4 +271,5 @@
          WRITE(numout,*)'                      - mesh          = ', sn_snd_crt%clvgrd
          WRITE(numout,*)'      oce co2 flux                    = ', TRIM(sn_snd_co2%cldes   ), ' (', TRIM(sn_snd_co2%clcat   ), ')'
+         WRITE(numout,*)'      ice formdrag                    = ', TRIM(sn_snd_fmd%cldes   ), ' (', TRIM(sn_snd_fmd%clcat   ), ')'
          WRITE(numout,*)'  nn_cplmodel                         = ', nn_cplmodel
          WRITE(numout,*)'  ln_usecplmask                       = ', ln_usecplmask
@@ -689,4 +692,11 @@
       !                                                      ! ------------------------- !
       ssnd(jps_co2)%clname = 'O_CO2FLX' ;  IF( TRIM(sn_snd_co2%cldes) == 'coupled' )    ssnd(jps_co2 )%laction = .TRUE.
+     
+      !                                                      ! ------------------------- !
+      !                                                      !    Ice formdrag            !
+      !                                                      ! ------------------------- !
+      ssnd(jps_fmdice )%clname = 'OIceFmd'
+      ssnd(jps_fmdice)%laction = .FALSE.
+      IF( TRIM( sn_snd_fmd%cldes ) == 'coupled' ) ssnd(jps_fmdice)%laction = .TRUE.      
 
       !                                                      ! ------------------------------- !
@@ -1852,4 +1862,12 @@
       !
 #endif
+      !                                                      !------------------------!
+      !                                                      ! CICE form drag        !
+      !                                                      !------------------------!
+      SELECT CASE( sn_snd_fmd%cldes)
+         CASE( 'coupled' )   
+             ztmp1(:,:) = fmdice(:,:)
+      END SELECT
+      IF( ssnd(jps_fmdice)%laction )   CALL cpl_prism_snd( jps_fmdice, isec, ztmp1, info ) 
       !                                                      ! ------------------------- !
       IF( ssnd(jps_ocx1)%laction ) THEN                      !      Surface current      !
Index: /branches/UKMO/dev_r5518_sea_ice_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90
===================================================================
--- /branches/UKMO/dev_r5518_sea_ice_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 8346)
+++ /branches/UKMO/dev_r5518_sea_ice_form_drag/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 8347)
@@ -58,5 +58,5 @@
 #endif
    USE ice_forcing, only: frcvdr,frcvdf,frcidr,frcidf
-   USE ice_atmo, only: calc_strair
+   USE ice_atmo, only: calc_strair,z0atm
 
    USE CICE_InitMod
@@ -730,4 +730,8 @@
          CALL cice2nemo(vicen(:,:,jl,:),ht_i(:,:,jl),'T', 1. )
       ENDDO
+   
+! Surface roughness length for form drag
+      CALL cice2nemo(z0atm,fmdice,'T', 1. )
+
       !
       IF( nn_timing == 1 )  CALL timing_stop('cice_sbc_hadgam')