Index: branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/CFCs_CMIP6.dat
===================================================================
--- branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/CFCs_CMIP6.dat	(revision 8354)
+++ branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/CFCs_CMIP6.dat	(revision 8354)
@@ -0,0 +1,90 @@
+// Source   : http://www.climate-energy-college.net/cmip6  
+// Dataset  : input4MIPs_GHGConcentrations_CMIP_UoM-CMIP-1-1-0_gr3-GMNHSH_0000-2014 
+// Units    : mole_fraction_of_gas_in_air (ppt) 
+// Gas (Lifetime in yrs): CFC-11 (45) ; CFC-12 (100) ; SF6 (3200) 
+// --------------- 
+// Time    CFC11_NH   CFC11_SH   CFC12_NH   CFC12_SH     SF6_NH     SF6_SH  
+ 1931.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1932.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1933.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1934.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1935.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1936.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1937.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1938.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1939.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1940.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1941.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1942.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1943.50     0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
+ 1944.50     0.0000     0.0000     0.0389     0.0000     0.0000     0.0000
+ 1945.50     0.0097     0.0000     0.6632     0.1798     0.0000     0.0000
+ 1946.50     0.1430     0.0237     1.9860     1.2854     0.0000     0.0000
+ 1947.50     0.3792     0.2208     3.1940     2.4761     0.0000     0.0000
+ 1948.50     0.5809     0.4191     4.3875     3.6625     0.0000     0.0000
+ 1949.50     0.7827     0.6174     5.5813     4.8488     0.0005     0.0000
+ 1950.50     0.9846     0.8032     6.7696     5.9949     0.0038     0.0000
+ 1951.50     1.2843     1.0094     8.2644     7.2863     0.0094     0.0015
+ 1952.50     1.7519     1.3561     9.9730     8.9158     0.0194     0.0106
+ 1953.50     2.3962     1.8627    11.8029    10.6238     0.0294     0.0206
+ 1954.50     3.1975     2.5297    13.8700    12.5378     0.0394     0.0306
+ 1955.50     4.1818     3.3538    16.1926    14.6867     0.0494     0.0406
+ 1956.50     5.4084     4.3932    18.8780    17.1363     0.0594     0.0506
+ 1957.50     6.8006     5.6782    21.9592    19.9959     0.0694     0.0606
+ 1958.50     8.1092     7.0252    25.2321    23.1365     0.0794     0.0706
+ 1959.50     9.3648     8.2294    28.7821    26.4360     0.0900     0.0800
+ 1960.50    10.9617     9.5125    32.9815    30.2292     0.1033     0.0867
+ 1961.50    13.0988    11.2369    37.7986    34.6748     0.1194     0.1006
+ 1962.50    15.8065    13.4733    43.2782    39.6754     0.1421     0.1179
+ 1963.50    19.1422    16.2919    49.7137    45.4955     0.1644     0.1456
+ 1964.50    23.1083    19.7350    57.2452    52.3544     0.1888     0.1712
+ 1965.50    27.6347    23.7849    65.7934    60.2646     0.2088     0.1912
+ 1966.50    32.6658    28.3416    75.3530    69.1428     0.2299     0.2101
+ 1967.50    38.3166    33.4164    86.1078    79.1125     0.2554     0.2246
+ 1968.50    44.7353    39.1430    98.1830    90.3364     0.2805     0.2595
+ 1969.50    52.1513    45.6939   111.6563   102.9221     0.3127     0.2873
+ 1970.50    60.6132    53.2933   126.4224   116.8759     0.3385     0.3115
+ 1971.50    69.8971    61.7959   142.2978   131.9786     0.3704     0.3396
+ 1972.50    80.2349    71.1069   159.4922   148.2202     0.4067     0.3733
+ 1973.50    92.0607    81.6845   178.4721   166.0425     0.4440     0.4059
+ 1974.50   105.1788    93.8990   199.2271   185.9014     0.4803     0.4397
+ 1975.50   117.9118   106.7517   219.8109   206.6596     0.5239     0.4761
+ 1976.50   130.3438   119.1177   239.4081   226.5863     0.5723     0.5165
+ 1977.50   142.2200   131.3714   258.2146   245.7738     0.6264     0.5627
+ 1978.50   153.1134   142.8958   276.0173   263.9851     0.6962     0.6238
+ 1979.50   162.2028   153.0742   292.3476   280.6407     0.8121     0.7279
+ 1980.50   170.5498   161.6052   307.8804   296.4841     0.9350     0.8449
+ 1981.50   179.3513   170.1257   324.9629   313.8773     1.0467     0.9533
+ 1982.50   187.9503   178.6046   340.5308   329.7557     1.1699     1.0701
+ 1983.50   196.7353   185.5994   357.7383   347.2739     1.2912     1.1888
+ 1984.50   204.7625   195.1718   371.8763   361.7221     1.4169     1.3031
+ 1985.50   215.8735   212.1934   388.1887   378.3458     1.5618     1.4381
+ 1986.50   227.5221   217.1573   407.1783   397.6461     1.7160     1.5839
+ 1987.50   240.1905   226.4808   427.9579   418.7369     1.8697     1.7303
+ 1988.50   252.0584   237.5931   453.7782   444.8680     2.0444     1.8956
+ 1989.50   262.0493   251.1293   472.3727   463.7717     2.2289     2.0710
+ 1990.50   267.5756   258.5948   486.9013   478.6108     2.4359     2.2640
+ 1991.50   271.2310   264.3494   497.7744   489.7940     2.6542     2.4657
+ 1992.50   273.8311   267.7208   509.7028   502.0332     2.8665     2.6735
+ 1993.50   273.9458   268.3918   515.6682   508.3080     3.0855     2.8944
+ 1994.50   271.7952   267.4604   521.7385   514.6896     3.3091     3.1109
+ 1995.50   269.6854   266.5223   528.0264   521.2878     3.5424     3.3176
+ 1996.50   268.0736   265.4381   534.5837   528.2323     3.7731     3.5468
+ 1997.50   266.4531   264.1306   537.7316   532.1944     3.9942     3.7858
+ 1998.50   264.9137   262.8540   540.0532   535.2809     4.2065     4.0135
+ 1999.50   263.4598   261.6319   542.0468   538.2392     4.4461     4.2712
+ 2000.50   262.1325   260.2072   544.1802   540.5858     4.6513     4.4764
+ 2001.50   260.4715   258.6281   544.8814   541.5086     4.8658     4.6879
+ 2002.50   258.4897   256.8479   545.0656   542.2464     5.0800     4.9010
+ 2003.50   256.1665   254.6592   544.6391   542.0629     5.3020     5.1137
+ 2004.50   253.8825   252.5051   543.9137   541.7823     5.5307     5.3397
+ 2005.50   251.6731   250.1566   543.1487   541.1432     5.7538     5.5583
+ 2006.50   249.4018   247.9278   541.5136   539.7864     5.9925     5.7912
+ 2007.50   247.1505   245.6772   539.3451   537.5069     6.2679     6.0601
+ 2008.50   245.2019   243.7518   537.3547   535.3132     6.5649     6.3421
+ 2009.50   243.1215   241.8001   534.7938   532.7581     6.8439     6.6128
+ 2010.50   241.1162   239.7874   532.2179   530.3461     7.1274     6.8930
+ 2011.50   238.9335   237.5581   529.4227   527.6433     7.4222     7.1925
+ 2012.50   236.8707   235.5429   526.6390   525.0289     7.7157     7.4813
+ 2013.50   235.1576   233.6041   523.8412   522.3888     8.0341     7.7876
+ 2014.50   234.0237   232.1361   521.3281   519.8338     8.3456     8.0972
Index: branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/cfc1112.atm
===================================================================
--- branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/cfc1112.atm	(revision 6304)
+++ 	(revision )
@@ -1,84 +1,0 @@
- % Atmospheric lifetimes are  44.0 for CFC-11 
- %                       and 125.0 for CFC-12 
- % rel=  0 
- %        <-Northern Data-> <-Southern Data->
- % Year    CFC-11  CFC-12    CFC-11  CFC-12 
- %         (ppt)   (ppt)      (ppt)   (ppt)
- 1931.50    0.00    0.00       0.00    0.00   
- 1932.50    0.00    0.01       0.00    0.01   
- 1933.50    0.00    0.02       0.00    0.01   
- 1934.50    0.00    0.03       0.00    0.02   
- 1935.50    0.00    0.04       0.00    0.03   
- 1936.50    0.00    0.07       0.00    0.04   
- 1937.50    0.00    0.11       0.00    0.07   
- 1938.50    0.00    0.17       0.00    0.11   
- 1939.50    0.01    0.25       0.00    0.17   
- 1940.50    0.01    0.37       0.01    0.25   
- 1941.50    0.02    0.53       0.01    0.36   
- 1942.50    0.02    0.72       0.02    0.51   
- 1943.50    0.03    0.94       0.02    0.69   
- 1944.50    0.04    1.25       0.03    0.91   
- 1945.50    0.05    1.65       0.04    1.21   
- 1946.50    0.08    2.33       0.05    1.64   
- 1947.50    0.14    3.42       0.08    2.33   
- 1948.50    0.24    4.73       0.14    3.32   
- 1949.50    0.42    6.10       0.25    4.48   
- 1950.50    0.67    7.58       0.42    5.77   
- 1951.50    1.02    9.23       0.66    7.19   
- 1952.50    1.53   10.94       1.01    8.72   
- 1953.50    2.21   12.82       1.49   10.37   
- 1954.50    3.07   14.97       2.13   12.20   
- 1955.50    4.11   17.40       2.93   14.25   
- 1956.50    5.39   20.22       3.92   16.59   
- 1957.50    6.84   23.45       5.11   19.28   
- 1958.50    8.19   26.86       6.39   22.28   
- 1959.50    9.47   30.58       7.63   25.52   
- 1960.50   11.13   35.03       8.96   29.18   
- 1961.50   13.38   40.12      10.63   33.42   
- 1962.50   16.23   45.89      12.78   38.25   
- 1963.50   19.72   52.66      15.47   43.80   
- 1964.50   23.87   60.57      18.75   50.28   
- 1965.50   28.57   69.53      22.61   57.76   
- 1966.50   33.78   79.46      26.99   66.21   
- 1967.50   39.63   90.60      31.91   75.67   
- 1968.50   46.27  103.16      37.46   86.31   
- 1969.50   53.96  117.17      43.80   98.25   
- 1970.50   62.75  132.52      51.07  111.52   
- 1971.50   72.36  149.00      59.27  126.02   
- 1972.50   83.04  166.85      68.34  141.70   
- 1973.50   95.27  186.59      78.54  158.82   
- 1974.50  108.81  208.14      90.04  177.62   
- 1975.50  121.86  229.37     102.29  197.54   
- 1976.50  134.47  249.51     114.40  217.31   
- 1977.50  146.47  268.67     126.28  236.49   
- 1978.50  157.18  286.35     137.45  254.72   
- 1979.50  166.67  303.74     147.60  272.00   
- 1980.50  175.11  320.96     158.08  290.34   
- 1981.50  182.81  337.33     166.54  306.90   
- 1982.50  189.88  352.01     174.69  323.74   
- 1983.50  197.72  367.69     183.03  341.15   
- 1984.50  206.34  383.86     190.95  357.80   
- 1985.50  216.12  401.25     200.50  376.45   
- 1986.50  227.48  420.96     209.82  394.00   
- 1987.50  239.67  441.49     220.60  412.82   
- 1988.50  251.05  463.22     231.46  433.46   
- 1989.50  257.28  481.80     240.38  452.97   
- 1990.50  263.65  493.96     249.23  470.55   
- 1991.50  266.33  504.64     254.53  484.07   
- 1992.50  266.00  512.87     258.80  495.65   
- 1993.50  267.58  520.12     260.56  504.49   
- 1994.50  267.24  526.58     261.73  512.31   
- 1995.50  266.38  531.59     261.29  518.39   
- 1996.50  265.25  534.81     261.08  523.50   
- 1997.50  263.84  537.67     260.16  528.18   
- 1998.50  262.24  999.99     258.96  999.99   
- 1999.50  260.72  999.99     257.75  999.99   
- 2000.50  259.34  999.99     255.69  999.99   
- 2001.50  257.13  999.99     253.54  999.99   
- 2002.50  254.89  999.99     252.93  999.99   
- 2003.50  251.89  999.99     250.62  999.99   
- 2004.50  250.67  999.99     249.52  999.99   
- 2005.50  249.49  999.99     247.45  999.99   
- 2006.50  248.31  999.99     245.38  999.99
- 2007.50  247.13  999.99     243.31  999.99
- 2008.50  245.95  999.99     241.24  999.99
Index: branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/iodef.xml
===================================================================
--- branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/iodef.xml	(revision 6304)
+++ branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/iodef.xml	(revision 8354)
@@ -74,5 +74,4 @@
 	  <field field_ref="iceprod_cea"  name="sip" />
 	  <field field_ref="ist_ipa"    />
-	  <field field_ref="ioceflxb"   />
 	  <field field_ref="uice_ipa"   />
 	  <field field_ref="vice_ipa"   />
@@ -86,13 +85,17 @@
 
 	<file id="file6" name_suffix="_ptrc_T" description="sms variables" >
-          <field field_ref="CFC11" />
-          <field field_ref="C14B"  />
+          <field field_ref="CFC12" />
+          <field field_ref="SF6" />
+          <field field_ref="C14B" />
+          <field field_ref="Age"  />
 	</file>
 	
 	<file id="file7" name_suffix="_diad_T" description="additional diagnostics" >
-          <field field_ref="qtrCFC11"  />
-          <field field_ref="qintCFC11" />
-          <field field_ref="qtrC14b"   />
-          <field field_ref="qintC14b"  />
+          <field field_ref="qtr_CFC12"  />
+          <field field_ref="qint_CFC12" />
+          <field field_ref="qtr_SF6"  />
+          <field field_ref="qint_SF6" />
+          <field field_ref="qtr_C14b"   />
+          <field field_ref="qint_C14b"  />
           <field field_ref="fdecay"    />
 	</file>
Index: branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_age_cfg
===================================================================
--- branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_age_cfg	(revision 8354)
+++ branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_age_cfg	(revision 8354)
@@ -0,0 +1,7 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! AGE  :       1  - dates                                 (namage)
+!! namelists    
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namage     !   dates
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+/
Index: branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_age_ref
===================================================================
--- branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_age_ref	(revision 8354)
+++ branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_age_ref	(revision 8354)
@@ -0,0 +1,1 @@
+link ../../SHARED/namelist_age_ref
Index: branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg
===================================================================
--- branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 6304)
+++ branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 8354)
@@ -47,4 +47,5 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
+   nn_msh      =    0      !  create (=1) a mesh file or not (=0)
    jphgr_msh   =       0               !  type of horizontal mesh
    ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
Index: branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/cpp_ORCA2_LIM_CFC_C14b.fcm
===================================================================
--- branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/cpp_ORCA2_LIM_CFC_C14b.fcm	(revision 6304)
+++ branches/2015/nemo_v3_6_STABLE/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/cpp_ORCA2_LIM_CFC_C14b.fcm	(revision 8354)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_trabbl key_lim2 key_dynspg_flt key_diaeiv key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_zdftke key_zdfddm key_zdftmx key_top key_cfc key_c14b key_iomput key_mpp_mpi
+bld::tool::fppkeys key_trabbl key_lim2 key_dynspg_flt key_diaeiv key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_zdftke key_zdfddm key_zdftmx key_top key_cfc key_c14b key_age key_iomput key_mpp_mpi